Subject: "entirely determined by the URI owner(s)"

From: Jonathan Rees <[email-masked]>
Date: Wed, 1 Feb 2012 13:40:40 -0500

Looking at http://tools.ietf.org/html/draft-ietf-httpbis-p2-semantics-18#section-7.3.4  - I hate to bring this up again - the section is much improved by adding "that can be transferred", so what dx.doi.org is doing with GET/303 is now compatible - but my concern now is a bit different:

   Note that answers to the
   questions of what can be represented, what representations are
   adequate, and what might be a useful description are outside the
   scope of HTTP and thus entirely determined by the URI owner(s).

http://tools.ietf.org/html/draft-ietf-httpbis-p2-semantics-18#section-7.3.4

I think I have just an editorial remark. If you really want to be hands-off here, which I think is what you said before, then saying it's up to the URI owner(s) is too much of a commitment. It's a non-sequitur, anyhow, since outside the scope does not imply it's up to the URI owner(s). I recommend simply deleting "and thus entirely determined by the URI owner(s)" since it is not meant to, and should not, allow anyone to infer anything about authority over what constitutes a representation. You just want to say that no representation-of authority is granted to *anyone* by HTTP, and that's what the sentence before the word "thus" says.

It might also work to say "and thus must be determined by the URI owner(s)" - well obviously they have to determine it before they emit a 200 response, which I think is what you mean, but they have to do it subject to what "representation of" means (which is outside the scope of HTTP, yes?), not just whimsically. This "must" wording implies a responsibility to do the right thing (respond with a current representation of the resource) in delivering 200 responses, which "entirely determined" does not.

I know I'm splitting semantic hairs around the meaning of the word "determine" in this context but... well this is a simple editorial fix and I predict the hair will be split by someone else in the future, if not by me. I hope I don't need to spell that out further.

-- you don't need to read further if you're convinced already --

Suppose I'm a web contractor and my contract says that representations
of the poem Jabberwocky are to be served at a certain URI.  I say, OK,
the spec says it's entirely up to me, my client has no say, so I will say that this representation
carrying a poem about Humpty Dumpty is a representation of
Jabberwocky. I get sued, with the argument that Humpty Dumpty is not a
rep. of Jabberwocky but my contract said it had to be, and I use the
spec saying "entirely determined" as my defense. If I win - well personally 
I think that would be very odd.

Best
Jonathan